package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月02日 10:19:20
 */
public class UserInfo {
    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("LoginAccount")
        private String loginAccount;
        @SerializedName("UserSysID")
        private String userSysID;
        @SerializedName("UserName")
        private String userName;
        @SerializedName("RoleName")
        private String roleName;
        @SerializedName("DepName")
        private String depName;
        @SerializedName("DepSysid")
        private String depSysid;
        @SerializedName("TenantID")
        private Long tenantID;
        @SerializedName("TenantCode")
        private String tenantCode;
        @SerializedName("TenantName")
        private String tenantName;

        public String getLoginAccount() {
            return loginAccount;
        }

        public void setLoginAccount(String loginAccount) {
            this.loginAccount = loginAccount;
        }

        public String getUserSysID() {
            return userSysID;
        }

        public void setUserSysID(String userSysID) {
            this.userSysID = userSysID;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        public String getDepName() {
            return depName;
        }

        public void setDepName(String depName) {
            this.depName = depName;
        }

        public String getDepSysid() {
            return depSysid;
        }

        public void setDepSysid(String depSysid) {
            this.depSysid = depSysid;
        }

        public Long getTenantID() {
            return tenantID;
        }

        public void setTenantID(Long tenantID) {
            this.tenantID = tenantID;
        }

        public String getTenantCode() {
            return tenantCode;
        }

        public void setTenantCode(String tenantCode) {
            this.tenantCode = tenantCode;
        }

        public String getTenantName() {
            return tenantName;
        }

        public void setTenantName(String tenantName) {
            this.tenantName = tenantName;
        }
    }
}
